Skip to main content
`Ctrl`+`K`

# PetscHMapIVDel

Remove a key and its value from the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVDel(PetscHMapIV ht,PetscInt key)

## Input Parameters

- ht - The hash table

- key - The key

## See Also

`PetscHMapIVHas()`, `PetscHMapIVIterDel()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages